XML::Feedをインストールメモ(libxml2関連)

RSSをごにょるモジュールは何がいいのかわからなかったんですが、とりあえずXML::Feedをインストールしてみました。

cpanmでインストール。

cpanm XML::Feed

で、エラー

running xml2-config...The installed version of libxml2 is too low, as
older versions proved to
be buggy.
You need at least version 2.9.0.
You have version 2.7.6 .

今インストールされているlibxml2のバージョンが古いよう(2.9以上が必要ぽい)ですね。
で、バージョンあげようと思ったら、yumで入る最新がすでにインストールされてたぽい。

ま、ソースから入れることにします。
http://xmlsoft.org/sources/
↑から2.9以上を探して↓

wget http://xmlsoft.org/sources/libxml2-2.9.0.tar.gz
tar zxvf libxml2-2.9.0.tar.gz
cd libxml2-2.9.0
./configure
make
make install

ま、こんな感じで。

再度cpanmでXML::Feedをインストールしてみます。

cpanm XML::Feed

インストール完了っと。

返信を残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください